Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.events.data
Interface TaskStepActionEvent

All Superinterfaces:
  Serializable, TaskEvent, TaskUpdatePropertyEvent, TaskUpdateSystemPropertyEvent

    public interface TaskStepActionEvent

extends TaskEvent, TaskUpdateSystemPropertyEvent, TaskUpdatePropertyEvent

BEA Systems, Inc.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.wli.worklist.api.events.data.TaskEvent
`TaskEvent.Type`

Nested classes/interfaces inherited from interface com.bea.wli.worklist.api.events.data.TaskUpdateSystemPropertyEvent
`TaskUpdateSystemPropertyEvent.ChangedProperty`

Nested classes/interfaces inherited from interface com.bea.wli.worklist.api.events.data.TaskEvent
`TaskEvent.Type`

Nested classes/interfaces inherited from interface com.bea.wli.worklist.api.events.data.TaskUpdatePropertyEvent
`TaskUpdatePropertyEvent.ChangedProperty`

Nested classes/interfaces inherited from interface com.bea.wli.worklist.api.events.data.TaskEvent
`TaskEvent.Type`

Method Summary
`String` | `getAction()` The step action.
`String` | `getNewStep()` The step to which the task moved to.
`String` | `getOldStep()` The step to which the task moved from.

Methods inherited from interface com.bea.wli.worklist.api.events.data.TaskEvent
`getAdminState, getAssigneeList, getCaller, getClaimant, getCreator, getEventType, getOwner, getServerName, getSummary, getTaskId, getTaskName, getTaskPlanId, getTimestamp, getWorkingState`

Methods inherited from interface com.bea.wli.worklist.api.events.data.TaskUpdateSystemPropertyEvent
`containsSystemProperty, getChangedSystemProperties, getChangedSystemPropertyNames`

Methods inherited from interface com.bea.wli.worklist.api.events.data.TaskEvent
`getAdminState, getAssigneeList, getCaller, getClaimant, getCreator, getEventType, getOwner, getServerName, getSummary, getTaskId, getTaskName, getTaskPlanId, getTimestamp, getWorkingState`

Methods inherited from interface com.bea.wli.worklist.api.events.data.TaskUpdatePropertyEvent
`containsUserProperty, containsUserPropertyValue, getChangedUserProperties, getChangedUserPropertyNames`

Methods inherited from interface com.bea.wli.worklist.api.events.data.TaskEvent
`getAdminState, getAssigneeList, getCaller, getClaimant, getCreator, getEventType, getOwner, getServerName, getSummary, getTaskId, getTaskName, getTaskPlanId, getTimestamp, getWorkingState`

Method Detail

### getOldStep

    String getOldStep()

  The step to which the task moved from.

  Returns:

### getNewStep

    String getNewStep()

  The step to which the task moved to.

  Returns:

### getAction

    String getAction()

  The step action.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD